<html devsite>
  <head>
    <title>Pixel&hairsp;/&hairsp;Nexus Security Bulletin—September 2018</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>Published September 4, 2018</em></p>

<p>
The Pixel&hairsp;/&hairsp;Nexus Security Bulletin contains details of security
vulnerabilities and functional improvements affecting <a
href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices"
class="external">supported Google Pixel and Nexus devices</a> (Google devices).
For Google devices, security patch levels of 2018-09-05 or later address all
issues in this bulletin and all issues in the September 2018 Android Security
Bulletin. To learn how to check a device's security patch level, see <a
href="https://support.google.com/pixelphone/answer/4457705"
class="external">Check & update your Android version</a>.
</p>
<p>
All supported Google devices will receive an update to the 2018-09-05 patch
level. We encourage all customers to accept these updates to their devices.
</p>
<p class="note">
<strong>Note:</strong> The Google device firmware images are available on the
<a href="https://developers.google.com/android/images" class="external">Google
Developer site</a>.
</p>

<h2 id="announcements">Announcements</h2>
<p>In addition to the security vulnerabilities described in the September 2018
Android Security Bulletin, Google devices also contain patches for the
security vulnerabilities described below. Partners were notified of these
issues at least a month ago and may choose to incorporate them as part of their
device updates.</p>

<h2 id="security-patches">Security patches</h2>
<p>
Vulnerabilities are grouped under the component they affect. There is a
description of the issue and a table with the CVE, associated references,
<a href="#type">type of vulnerability</a>,
<a href="/security/overview/updates-resources#severity">severity</a>,
and updated Android Open Source Project (AOSP) versions (where applicable).
When available, we link the public change that addressed the issue to the bug
ID, such as the AOSP change list. When multiple changes relate to a single bug,
additional references are linked to numbers following the bug ID.
</p>

<h3 id="kernel-components">Kernel components</h3>

<table>
  <col width="21%">
  <col width="21%">
  <col width="14%">
  <col width="14%">
  <col width="30%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Component</th>
  </tr>
  <tr>
    <td>CVE-2018-9517</td>
    <td>A-38159931<br />
        <a href="https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=f026bc29a8e093edfbb2a77700454b285c97e8ad">Upstream kernel</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>L2TP</td>
  </tr>
  <tr>
    <td>CVE-2018-9519</td>
    <td>A-69808833<a href="#asterisk">*</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>Easel</td>
  </tr>
  <tr>
    <td>CVE-2018-9516</td>
    <td>A-71361580<br />
        <a href="https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=717adfdaf14704fd3ec7fa2c04520c0723247eac">Upstream kernel</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>HID debug driver</td>
  </tr>
  <tr>
    <td>CVE-2018-9518</td>
    <td>A-73083945<br />
        <a href="https://lkml.org/lkml/2018/2/14/909">Upstream kernel</a></td>
    <td>EoP</td>
    <td>Moderate</td>
    <td>NFC</td>
  </tr>
</table>


<h3 id="qualcomm-components">Qualcomm components</h3>

<table>
  <col width="21%">
  <col width="21%">
  <col width="14%">
  <col width="14%">
  <col width="30%">
  <tr>
    <th>CVE</th>
    <th>References</th>
    <th>Type</th>
    <th>Severity</th>
    <th>Component</th>
  </tr>
  <tr>
    <td>CVE-2018-11265</td>
    <td>A-109741922<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=b211b051d7ca226d96b70defe10ac318f768b5b2">QC-CR#2212592</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>MProc</td>
  </tr>
  <tr>
    <td>CVE-2018-11273</td>
    <td>A-109741750<br />
        <a 
href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=789d4d21c3f1818dcbf74da4a051598e8f53676c">
QC-CR#2204285</a> 
	[<a href="https://source.codeaurora.org/quic/la/kernel/msm-4.9/commit/?id=f34f6271362484c1f87f4176e72a3bfb80ee7711">2</a>]</td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>Audio</td>
  </tr>
  <tr>
    <td>CVE-2018-11276</td>
    <td>A-109741853<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=83a44ca6057bf9c1e36515cded28edc32a4a1501">QC-CR#2204959</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>Kernel</td>
  </tr>
  <tr>
    <td>CVE-2018-11281</td>
    <td>A-109741734<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=4bc7311e9ea9145a615184626cc43a8b92e7619c">QC-CR#2191541</a> 
	[<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=c9861d16283cb4279de98a6695e0a4e6ea0230cb">2</a>]</td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>Data HLOS - LNX</td>
  </tr>
  <tr>
    <td>CVE-2018-11293</td>
    <td>A-109741621<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=6fb7ac8d49631cdd09dbe72669d1a660dfce3bdb">QC-CR#2170668</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>WLAN Host</td>
  </tr>
  <tr>
    <td>CVE-2018-11295</td>
    <td>A-109741911<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=e262728243f98d8a3578eb157cbc39580004de4f">QC-CR#2201190</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>WLAN Host</td>
  </tr>
  <tr>
    <td>CVE-2018-11296</td>
    <td>A-109741886<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=0b0c18b45d1a39f9f33172d3c22f5b8031fe564e">QC-CR#2204463</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>WLAN Host</td>
  </tr>
  <tr>
    <td>CVE-2018-11297</td>
    <td>A-109741872<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=c708606086490ca9b8fc1077f18782891a595ba9">QC-CR#2175439</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>WLAN Host</td>
  </tr>
  <tr>
    <td>CVE-2018-11298</td>
    <td>A-109741777<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=9074c6cfb9c0bbfe279394eec0d3176c4f75ce80">QC-CR#2180699</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>WLAN Host</td>
  </tr>
  <tr>
    <td>CVE-2018-11300</td>
    <td>A-109741735<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=1f111832dc93bc639538dc173397b30af329b130">QC-CR#2191365</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>WLAN Host</td>
  </tr>
  <tr>
    <td>CVE-2018-11301</td>
    <td>A-109741830<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=31ad3a5a7458e60f5e0ba4f492cebe1f1bda0964">QC-CR#2205372</a></td>
    <td>N/A</td>
    <td>Moderate</td>
    <td>WLAN Host</td>
  </tr>
</table>

<h2 id="functional-patches">Functional patches</h2>
<p>
These updates are included for affected Pixel devices to address functionality
issues not related to the security of Pixel devices. The table includes
associated references; the affected category, such as Bluetooth or mobile data;
improvements; and affected devices.
</p>

<table>
  <tr>
   <th>References</th>
   <th>Category</th>
   <th>Improvements</th>
   <th>Devices</th>
  </tr>
    <tr>
   <td>A-110489408</td>
   <td>Battery</td>
   <td>Improve battery charge in Retail Mode</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-111455307</td>
   <td>System</td>
   <td>Improve SW Version reporting</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
  <tr>
   <td>A-101592600</td>
   <td>Bluetooth</td>
   <td>Improve audio quality over car speakers</td>
   <td>Pixel, Pixel XL, Pixel 2, Pixel 2 XL</td>
  </tr>
</table>

<h2 id="common-questions-and-answers">Common questions and answers</h2>
<p>
This section answers common questions that may occur after reading this
bulletin.
</p>
<p>
<strong>1. How do I determine if my device is updated to address these issues?
</strong>
</p>
<p>
Security patch levels of 2018-09-05 or later address all issues associated with
the 2018-09-05 security patch level and all previous patch levels. To learn how
to check a device's security patch level, read the instructions on the <a
href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices"
class="external">Pixel and Nexus update schedule</a>.
</p>
<p id="type">
<strong>2. What do the entries in the <em>Type</em> column mean?</strong>
</p>
<p>
Entries in the <em>Type</em> column of the vulnerability details table reference
the classification of the security vulnerability.
</p>
<table>
  <col width="25%">
  <col width="75%">
  <tr>
   <th>Abbreviation</th>
   <th>Definition</th>
  </tr>
  <tr>
   <td>RCE</td>
   <td>Remote code execution</td>
  </tr>
  <tr>
   <td>EoP</td>
   <td>Elevation of privilege</td>
  </tr>
  <tr>
   <td>ID</td>
   <td>Information disclosure</td>
  </tr>
  <tr>
   <td>DoS</td>
   <td>Denial of service</td>
  </tr>
  <tr>
   <td>N/A</td>
   <td>Classification not available</td>
  </tr>
</table>
<p>
<strong>3. What do the entries in the <em>References</em> column mean?</strong>
</p>
<p>
Entries under the <em>References</em> column of the vulnerability details table
may contain a prefix identifying the organization to which the reference value
belongs.
</p>
<table>
  <col width="25%">
  <col width="75%">
  <tr>
   <th>Prefix</th>
   <th>Reference</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android bug ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm reference number</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek reference number</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA reference number</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom reference number</td>
  </tr>
</table>
<p id="asterisk">
<strong>4. What does a * next to the Android bug ID in the <em>References</em>
column mean?</strong>
</p>
<p>
Issues that are not publicly available have a * next to the Android bug ID in
the <em>References</em> column. The update for that issue is generally contained
in the latest binary drivers for Pixel&hairsp;/&hairsp;Nexus devices available
from the <a href="https://developers.google.com/android/nexus/drivers"
class="external">Google Developer site</a>.
</p>
<p>
<strong>5. Why are security vulnerabilities split between this bulletin and the
Android Security Bulletins?</strong>
</p>
<p>
Security vulnerabilities that are documented in the Android Security Bulletins
are required to declare the latest security patch level on Android
devices. Additional security vulnerabilities, such as those documented in this
bulletin are not required for declaring a security patch level.
</p>
<h2 id="versions">Versions</h2>
<table>
  <col width="25%">
  <col width="25%">
  <col width="50%">
  <tr>
   <th>Version</th>
   <th>Date</th>
   <th>Notes</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>September 4, 2018</td>
   <td>Bulletin published.</td>
  </tr>
</table>
  </body>
</html>

